module.exports = function foreachElegant (list, iterator) {
    if ( Array.isArray(list) ) {
        for ( var key = 0, value; key < list.length; ++key ) {
            value = list[key]
            if ( iterator.call(list, value, key, list) === false ) {
                return false
            }
        }
    }
    else {
        for ( var key in list ) {
            value = list[key]
            if ( iterator.call(list, value, key, list) === false ) {
                return false
            }
        }
    }
}
